# 阿里云日志SDK

### https://help.aliyun.com/product/28958.html

### 依赖

* Httparty ~> 0.13
* beefcake ~> 1.2.0

### 用例
```ruby
# config/initializers/aliyun_log.rb
 
AliyunLogRubySdk.configure do |config|
  config.endpoint = 'your endpoint'
  config.access_key_id = 'your access_key_id'
  config.access_key_secret = 'your access_key_secret'
  config.project_name = 'your project_name'
  config.log_store_name = 'your log_store_name'
  config.debug = true # false 则不打印请求日志，默认值：false
end
 
# 初始化 client
client = AliyunLogRubySdk::Client.new

# 上传接口
log_items = []

1.upto(5) do |i|
  log_item = AliyunLogRubySdk::LogItem.new
  log_item.contents = [['content', "我是日志#{i}"]]

  log_items << log_item
end

client.put_logs(topic: 'your topic', source: 'your source', log_items: log_items)

# 拉取日志接口
client.get_cursor(shard_id: your_shard_id, query: { from: a_timestamp })
client.pull_logs(shard_id: your_shard_id, query: { cursor: '上个接口返回的 cursor', count: count })
```
