# -*- encoding : utf-8 -*-

require 'beefcake'

# message Log
# {
#     required uint32 Time = 1;// UNIX Time Format
#     message Content
#     {
#         required string Key = 1;
#         required string Value = 2;
#     }
#     repeated Content Contents = 2;
# }
#
# message LogTag
# {
#     required string Key = 1;
#     required string Value = 2;
# }
#
# message LogGroup
# {
#     repeated Log Logs = 1;
#     optional string Reserved = 2; // reserved fields
#     optional string Topic = 3;
#     optional string Source = 4;
#     repeated LogTag LogTags = 6;
# }
#
# message LogGroupList
# {
#     repeated LogGroup logGroupList = 1;
# }

module AliyunLogRubySdk
  module Protobuf
    class Log
      include Beefcake::Message

      required :time, :uint32, 1

      class Content
        include Beefcake::Message

        required :key, :string, 1
        required :value, :string, 2
      end

      repeated :contents, Content, 2
    end

    class LogTag
      include Beefcake::Message

      required :key, :string, 1
      required :value, :string, 2
    end

    class LogGroup
      include Beefcake::Message

      repeated :logs, Log, 1

      optional :reserved, :string, 2
      optional :topic, :string, 3
      optional :source, :string, 4

      repeated :log_tags, LogTag, 6
    end

    class LogGroupList
      include Beefcake::Message

      repeated :log_group_list, LogGroup, 1
    end
  end
end